org.bdgenomics.adam.converters

# DefaultHeaderLines

###
Related Doc: package converters

#### object DefaultHeaderLines

Default set of VCF header lines for INFO and GT format fields supported in ADAM.

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DefaultHeaderLines
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### lazy val allHeaderLines: Seq[VCFHeaderLine]

   Default set of VCF header lines for INFO and GT format fields supported in ADAM.

5. #### lazy val alleleCount: VCFInfoHeaderLine

6. #### lazy val alleleFrequency: VCFInfoHeaderLine

7. #### lazy val allelicDepth: VCFFormatHeaderLine

8. #### lazy val ancestralAllele: VCFInfoHeaderLine

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### lazy val cigar: VCFInfoHeaderLine

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### lazy val dbSnp: VCFInfoHeaderLine

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### lazy val fisherStrand: VCFFormatHeaderLine

17. #### lazy val formatHeaderLines: Seq[VCFFormatHeaderLine]

    Default set of VCF header lines for GT format fields supported in ADAM.

18. #### lazy val formatReadDepth: VCFFormatHeaderLine

19. #### lazy val forwardReadDepth: VCFInfoHeaderLine

20. #### lazy val genotype: VCFFormatHeaderLine

21. #### lazy val genotypeFilter: VCFFormatHeaderLine

22. #### lazy val genotypeQuality: VCFFormatHeaderLine

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### lazy val hapMap2: VCFInfoHeaderLine

25. #### lazy val hapMap3: VCFInfoHeaderLine

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### lazy val infoHeaderLines: Seq[VCFInfoHeaderLine]

    Default set of VCF header lines for INFO fields supported in ADAM.

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### lazy val mapq0: VCFFormatHeaderLine

30. #### lazy val minReadDepth: VCFFormatHeaderLine

31. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

32. #### final def notify(): Unit

    Definition Classes
      AnyRef

33. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

34. #### lazy val phaseQuality: VCFFormatHeaderLine

35. #### lazy val phaseSetId: VCFFormatHeaderLine

36. #### lazy val phredLikelihoods: VCFFormatHeaderLine

37. #### lazy val readDepth: VCFInfoHeaderLine

38. #### lazy val reverseReadDepth: VCFInfoHeaderLine

39. #### lazy val rmsMapq: VCFFormatHeaderLine

40. #### lazy val somatic: VCFInfoHeaderLine

41. #### lazy val strandBiasComponents: VCFFormatHeaderLine

42. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

43. #### lazy val thousandGenomes: VCFInfoHeaderLine

44. #### def toString(): String

    Definition Classes
      AnyRef → Any

45. #### lazy val transcriptEffects: VCFInfoHeaderLine

46. #### lazy val validated: VCFInfoHeaderLine

47. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

49. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped